Bug 1497359 - cloud-init: issues with ipv6 default routes when not using dhcp
Summary: cloud-init: issues with ipv6 default routes when not using dhcp
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cloud-init
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 23:02 UTC by Ben Howard
Modified: 2018-11-30 17:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:58:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Howard 2017-09-29 23:02:11 UTC
Please update cloud-init's with commit 5d9b3d10cf6f066dfec3c025efc7e86deacb52be. 

On systems that use either OpenStack ConfigDrive or DigitalOcean's data-source, Cloud-init on Fedora does not assign an IPv6 gateway to eth0.  In the case of ConfigDrive, network_data.json defining the default route will not be assigned (the following is an example snippet):

   "networks": [
      {
         "id": "public-ipv6",
         "ip_address": "2604:A880:0800:00A1:0000:0000:002D:0001/64",
         "link": "interface-public",
         "neutron_network_id": "937c94de-7029-586e-6e36-ea9af2d815de",
         "type": "ipv6",
         "routes": [
            {
               "gateway": "2604:A880:0800:00A1:0000:0000:0000:0001",
               "netmask": "::",
               "network": "::"
            }
         ]

The link is correctly defined in  /etc/sysconfig/network-scripts/ifcfg-eth0:0 but no /etc/sysconfig/network-scripts/route6-eth0:0 is defined.

Comment 1 Dusty Mabe 2017-10-02 13:17:16 UTC
not sure what that commit is but couldn't find it upstream. This is the actual commit ben was requesting: 

https://git.launchpad.net/cloud-init/commit/?id=d00da2d5b0d45db5670622a66d833d2abb907388

Comment 2 Ben Cotton 2018-11-27 18:24:53 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 17:58:50 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.